

#  This proc is used to inser tags in comments where people put urls.
#  I assume a text window
proc ins_url { w s } {
	global news env
	#set url {(http|mailto|ftp)://[a-zA-Z][a-zA-Z0-9%~./]*[!a-zA-Z0-9%~./]}
	set url {(http|mailto|ftp)://[a-zA-Z0-9][a-zA-Z0-9%~./_#-]*}


	set s1 ""

	while { [regexp -indices $url $s v1] } {
		set idx1 [lindex $v1 0]
		set idx2 [lindex $v1 1]
		set href [string range $s $idx1 $idx2]
		set href1 [string trim $href .]
		incr idx1 -1
		incr idx2

		# Put the leading parts in the widget
		$w insert insert [string range $s 0 $idx1] 
		#get the index of the insert pointer
		set idx_start [$w index insert]

		# Put the URL in
		$w insert insert $href
		
		#strip off this URL 
		set s    [string range $s $idx2 end]

		# Mark the text and assoc with a command
		$w tag add "t$idx_start" $idx_start [$w index insert] 
		$w tag configure "t$idx_start" -background $news(hbg) -foreground $news(hfg)
		$w tag bind "t$idx_start" <1> "dobrowser  $href1"
	}
	$w insert insert $s
}

proc dobrowser { href} {
	global news tcl_platform


	if { [info exists env(BROWSER)] } {
		set browser $env(BROWSER)
	} else {
		set browser "netscape -remote openURL(%s)"
	}
	set cmd [format $browser $href ]
	if { $tcl_platform(platform) == "unix" } {
		eval exec $cmd < /dev/null > /dev/null &
	} else {
		eval exec $cmd &
	}
}

