
proc saverc {fn} {
	global news sgroups newsread
	
	if { [catch {open $fn w} fd ] } {
		tk_dialog .me "TclNews" "Can't open $fn for write!" error 0 OK
		return
	}

foreach g [array names sgroups] {
	# puts "Begin--------------------$g: "
	set mn 1
	set mx 1
	set c  1
	set ol [list]
	foreach i [lsort [array names newsread $g,*]] {
		# puts " Value($newsread($i))"
		if { $mx == 1 } {
			set mx $newsread($i)
			set c  $newsread($i)
		} else {
			incr c
			if { $c != $newsread($i) } {
				# A gap here
				if { $mn == $mx } {
					# puts "mn==mx($mn)"
					lappend ol $mn
				} else {
					# puts "$mn-$mx"
					lappend ol "$mn-$mx"
				}
				set mn $newsread($i)
				set mx $mn
				set c  $mn
			} else {
				# puts "no gap c($c) mx($mx)"
				set mx $c
			}
		}
	}
	# puts "Last ---------------  ($mn-$mx)"
	if { $mn == $mx } {
		if { $mn != 1 } {
			lappend ol $mn
		}
	} else {
		lappend ol "$mn-$mx"
	}
	# puts ""
	puts -nonewline $fd "$g: "
	set c 0
	foreach i $ol {
		if { $c == 0 } {
			puts -nonewline $fd $i
			set c 1
		} else {
			puts -nonewline $fd ",$i"
		}
	}
	puts $fd ""
	# incr count
	# if { $count > 5 } { exit 0 }
}
 close $fd
}
