
#  Get the header for a news article, return a list
#
proc getheader { a sock} {
	global news


	if { $news(xover) == 0 } {
		socksend $sock "head $a"
		set res [readsock $sock]
		if { [rescode $res 221] } {
			return ""
		}
		set path [readsock $sock]
		set rfrom [readsock $sock]
		set newsgrps [readsock $sock]
		set subj [readsock $sock]
		set sl [string length $subj]
		set subj [string range $subj 9 $sl]
		set date [readsock $sock]
		set organization [readsock $sock]
		set lines [readsock $sock]
		set lines [string range $lines 6 end]
	} else {
		socksend $sock "xover $a"
		set res [readsock $sock]
		if { [rescode $res 224] } {
			closewin $w
			return ""
		}
		set res [readsock $sock]
		set l [split $res "\t"]
		set subj [lindex $l 1]
		set rfrom [lindex $l 2]
		set date [lindex $l 3]
		set lines [lindex $l 7]
	}
		while { $res != "." } {
			set res [readsock $sock]
		}

		set from [lindex [split $rfrom "(" ] 1]
		set from [lindex [split $from ")" ] 0]
		if { $from == "" } {
			set from [lindex [split $rfrom ] 1]
		}

		return  [list $a $from $subj $date $lines]
}
			
