
proc handle_backspace w {
    if {[catch {$w delete sel.first sel.last}]} {
        set pos [expr [$w index insert]-1]
        $w delete $pos 
    }
}

proc lstrmall { win } {
	global news

	foreach idx $news($win,sel) {
		$win.seq delete $idx
		$win.seq insert $idx ""
	}
	set news($win,sel) ""
}

proc scroll { win args} {
	eval $win.x    yview $args
	eval $win.main yview $args
	eval $win.seq  yview $args
}

proc search_txt { w } {
	global news 

	if { ![info exists news($w,search_idx)] } {
		set news($w,search_idx) 1.0
	}

if { $news($w,mask) != "" } {
	set sz 0
	$w.main tag remove sel 1.0 end
	set idx [$w.main search -regexp -count len $news($w,mask) $news($w,search_idx)]
	if { $idx != "" } {
		set news($w,search_idx) "$idx +1 chars"
		$w.main tag add sel $idx "$idx + $len chars"
		$w.main see $idx
	} else { 
		tk_dialog .sme "$news(tclnews) $news(version)" "$news($w,mask) Not found!" info 0 OK
	}
}
}

proc ordered { win } {
	global news

	set ret ""

	if { [llength $news($win,sel)] == 0 } {
		foreach i [$win.main curselection] {
			lappend  ret $i
		}
	} else {
		set ret $news($win,sel)
	}
	return $ret
}

