
proc readrc {fn} {
	global news sgroups newsread

	if { [catch {open $fn r} f] } {
		puts "Can't open $fn ($f)"
		exit 0
	}

	set news(.news,l1) 0
	set count 0
	while { [gets $f line] >= 0 } {
	if { [string range $line 0 0] != "#" } {
		set l [split $line ":"]
		if { [llength $l ] != 2 } {
			set l [split $line "!"]
			if { [llength $l ] != 2 } {
				puts "Invalid line in $fn ($line)"
				exit 0
			}
		}
				

		# l is the list created from split (two eliments group & list)
		set g [lindex $l 0]
		set l [split [lindex $l 1] ,]
		set min 0
		set sgroups($g) $g
		inslst .news $g 1
		incr count
		if { $count >= 30 } {
			incr news(.news,l1) $count
			set count 0
			update
		}
		foreach i $l {
			set ll [split $i -]
			set left [lindex $ll 0]
			set right [lindex $ll 1]
			if { $right == "" } {
				set newsread($g,$left) $left
			} else {
				if { $left == 1 } {
					set newsread($g,$right) $right
					set newsread(min,$g) $right
				} else {
					for {set c $left} { $c <= $right } { incr c } {
						set newsread($g,$c) $c
					}
				}
			}
		} 
	}
	}
}
 
